Summary: Firmware for the Intel PRO/Wireless 2200 Driver.
Name: ipw2200-firmware
Version: 3.1
Release: 1.slc5
License: distributable
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/firmware.php
Source0: http://bughost.org/firmware/ipw2200-fw-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the ipw-2200 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p ipw2200-fw-3.1/*.fw %{buildroot}/lib/firmware
#install -p ipw2200-fw-3.1/LICENSE.ipw2200-fw %{buildroot}/lib/firmware/ipw2200-LICENSE.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ipw2200-fw-3.1/LICENSE.ipw2200-fw 
/lib/firmware/*

%changelog
* Wed Apr 07 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.1-1
- Updated firmware for kernels >= 2.6.18-194.el5

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> 3.0-1
- Added the 3.0, and 2.3 firmware

* Thu Aug 24 2006 Troy Dawson <dawson@fnal.gov> 2.4-14
- Added the 2.2 firmware so it works with older kernels

* Sun Oct 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.4.
- Remove legacy firmware locations.

* Thu May 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.3.

* Tue Dec 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.

* Sun Dec 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.1.

* Fri Sep  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
